org.restlet.engine.io

## Class WriterOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.restlet.engine.io.WriterOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class WriterOutputStream
    extends java.io.OutputStream

Outputstream wrapping a character writer.

Author:
  Kevin Conaway

### Constructor Summary

Constructors
Constructor and Description
`WriterOutputStream(java.io.Writer writer)` Constructor.

### Method Summary

Methods
`void` `close()`
`void` `flush()`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WriterOutputStream

    public WriterOutputStream(java.io.Writer writer)

Constructor.

Parameters:
  `writer` - The wrapped writer.

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### flush

    public void flush()
               throws java.io.IOException

Specified by:
  `flush` in interface `java.io.Flushable`
Overrides:
  `flush` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(int b)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`